Subject: bug#48972: closed (Re: bug#48972: Early guile repl is giving me some GC Warnings)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 Jun 2021 18:36:02 +0000

Your bug report

#48972: Early guile repl is giving me some GC Warnings

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48972: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48972
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48972: Early guile repl is giving me some GC Warnings
From: [email-masked]
Cc: [email-masked]
Date: Fri, 18 Jun 2021 18:35:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

June 18, 2021 5:54 AM, "Ludovic Courtès" <[email-masked]> wrote:

> Hi,
> 
> Joshua Branson via Bug reports for GNU Guix <[email-masked]> skribis:
> 
>> My librebooted Thinkpad T400 has been giving me the same GC warning
>> for about 2 years now:
>> 
>> GC: Warning: pthread_getattr_np or pthread_attr_getstack failed for
>> main thread
>> GC Warning: Couldn't read /proc/stat
>> Welcome, this is GNU's early boot guile
> 
> Those warnings are annoying but harmless. The second one is because
> /proc is not mounted yet at this stage—it’s mounted later by this very
> Guile process. The first one I’m unsure.
> 
> We should probably just patch out these two warnings for the static
> Guile packages used by the initrd.
> 
> Thanks,
> Ludo’.

Subject: Early guile repl is giving me some GC Warnings
From: Joshua Branson <[email-masked]>
To: [email-masked]
Date: Sat, 12 Jun 2021 09:15:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

My librebooted Thinkpad T400 has been giving me the same GC warning
for about 2 years now:

GC: Warning: pthread_getattr_np or pthread_attr_getstack failed for
main thread
GC Warning: Couldn't read /proc/stat
Welcome, this is GNU's early boot guile
Use --repl for an initrd REPL.

Loading kernel modules...

I system boots just fine, but I figured that I should mention this!

Thanks,

Joshua